Qore Programming Language: AbstractQoreClassTypeInfoHelper Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
AbstractQoreClassTypeInfoHelper Class Reference

note that the QoreClass object created by this class must be deleted externally More...

`#include <QoreType.h>`

Inheritance diagram for AbstractQoreClassTypeInfoHelper:
[legend]
Collaboration diagram for AbstractQoreClassTypeInfoHelper:
[legend]

## Public Member Functions
DLLEXPORT | AbstractQoreClassTypeInfoHelper (const char *name, int n_domain=QDOM_DEFAULT)
| allocates a QoreTypeInfo object and creates the QoreClass
DLLEXPORT | ~AbstractQoreClassTypeInfoHelper ()
| delets the QoreClass object managed if it has not been retrieved
DLLEXPORT QoreClass * | getClass ()
| returns the QoreClass object created and zeros out the class ptr; can only be called once
DLLEXPORT bool | hasClass () const
| returns true if this object is holding a class pointer, false if not
Public Member Functions inherited from QoreTypeInfoHelper
DLLEXPORT | QoreTypeInfoHelper (const char *n_tname)
| allocates a QoreTypeInfo object with no type information
DLLEXPORT | QoreTypeInfoHelper (qore_type_t id, const char *n_tname)
| allocates a QoreTypeInfo object of the requested type
virtual DLLEXPORT | ~QoreTypeInfoHelper ()
| deallocates the managed QoreTypeInfo object
DLLEXPORT void | addAcceptsType (const QoreTypeInfo *n_typeInfo)
| add another type that the type accepts
DLLEXPORT void | assign (qore_type_t id)
| assigns the typeid to the object
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns a pointer to the object
DLLEXPORT void | setInexactReturn ()
| set a flag that means that if the return type is matched on input, it matches with QTI_AMBIGUOUS instead of QTI_IDENT
DLLEXPORT void | setInputFilter ()
| set a flag that means that acceptInputImpl() has been reimplemented and should be used
DLLEXPORT void | setInt ()
| set a flag that means the type is equivalent to an integer
DLLEXPORT void | setIntMatch ()
| set a flag so that any NT_INT in an accept list will match any type with is_int set with QTI_AMBIGUOUS

## Additional Inherited Members
Protected Member Functions inherited from QoreTypeInfoHelper
virtual DLLEXPORT bool | acceptInputImpl (AbstractQoreNode *&n, ExceptionSink *xsink) const
| this function must be reimplemented if setInputFilter() is called

## Detailed Description

note that the QoreClass object created by this class must be deleted externally

The documentation for this class was generated from the following file:

- include/qore/QoreType.h (6585)